import React from "react";

const SemiCircleProgress = ({ progress = 10 }) => {
  const clampedProgress = Math.min(Math.max(progress, 0), 100);
  const radius = 80;
  const strokeWidth = 20;
  const circumference = Math.PI * radius;
  const strokeDashoffset =
    circumference - (clampedProgress / 100) * circumference;

  return (
    <div className="svg-half-donut">
      <svg width="200" height="100" viewBox="0 0 200 100">
        {/* Background track */}
        <path
          d="M20,100 A80,80 0 0,1 180,100"
          fill="none"
          stroke="lightgray"
          strokeWidth={strokeWidth}
        />
        {/* Progress track */}
        <path
          d="M20,100 A80,80 0 0,1 180,100"
          fill="none"
          stroke="skyblue"
          strokeWidth={strokeWidth}
          strokeDasharray={circumference}
          strokeDashoffset={strokeDashoffset}
          strokeLinecap="round"
        />
      </svg>
      <div className="label-wrapper">
        <div className="label">{clampedProgress}%</div>
        <div className="label-content">Years</div>
      </div>
    </div>
  );
};

export default SemiCircleProgress;
