import * as THREE from 'three';
import { useEffect } from 'react';
import { useProductStore } from '../../../store/simulation/useProductStore';
import { useSelectedProduct } from '../../../store/simulation/useSimulationStore';
import AddOrRemoveEventsInProducts from './events/addOrRemoveEventsInProducts';
import { upsertProductOrEventApi } from '../../../services/simulation/UpsertProductOrEventApi';
import { getAllProductsApi } from '../../../services/simulation/getallProductsApi';

function Products() {
    const { addProduct, setProducts } = useProductStore();
    const { setSelectedProduct } = useSelectedProduct();

    useEffect(() => {
        const email = localStorage.getItem('email')
        const organization = (email!.split("@")[1]).split(".")[0];
        getAllProductsApi(organization).then((data) => {
            if (data.length === 0) {
                const id = THREE.MathUtils.generateUUID();
                const name = 'Product 1';
                addProduct(name, id);
                upsertProductOrEventApi({ productName: name, productId: id, organization: organization })
                setSelectedProduct(id, name);
            } else {
                setProducts(data);
                setSelectedProduct(data[0].productId, data[0].productName);
            }
        })
    }, [])

    return (
        <>

            <AddOrRemoveEventsInProducts />

        </>
    )
}

export default Products