import React, { useEffect } from "react";
import VehicleInstances from "./instances/vehicleInstances";
import { useVehicleStore } from "../../../store/simulation/useVehicleStore";
import { useSelectedEventData, useSelectedEventSphere, useSelectedProduct } from "../../../store/simulation/useSimulationStore";
import VehicleUI from "../ui/vehicle/vehicleUI";
import { usePlayButtonStore } from "../../../store/usePlayButtonStore";
import { useProductStore } from "../../../store/simulation/useProductStore";

function Vehicles() {
    const { products, getProductById } = useProductStore();
    const { selectedProduct } = useSelectedProduct();
    const { vehicles, addVehicle, clearvehicles } = useVehicleStore();
    const { selectedEventSphere } = useSelectedEventSphere();
    const { selectedEventData } = useSelectedEventData();
    const { isPlaying } = usePlayButtonStore();

    useEffect(() => {
        if (selectedProduct.productId) {
            const product = getProductById(selectedProduct.productId);
            if (product) {
                clearvehicles();
                product.eventDatas.forEach(events => {
                    if (events.type === 'vehicle') {
                        addVehicle(selectedProduct.productId, events);
                    }
                });
            }
        }
    }, [selectedProduct, products]);

    useEffect(() => {
        // 
    }, [vehicles])

    return (
        <>

            <VehicleInstances />

            {selectedEventSphere && selectedEventData?.data.type === "vehicle" && !isPlaying &&
                < VehicleUI />
            }

        </>
    );
}

export default Vehicles;